KRB5_PARSE_NAME(3)

NAME
krb5_parse_name - String to principal conversion

SYNOPSIS
#include <krb5.h>
krb5_error_code
krb5_parse_name(krb5_context context, const char *name, krb5_principal *principal);

DESCRIPTION
krb5_parse_name() converts a string representation of a princpal name to krb5_principal. The principal will point to allocated data that should be freed with krb5_free_principal().

The string should consist of one or more name components separated with slashes (“/”), optionally followed with an “@” and a realm name. A slash or @ may be contained in a name component by quoting it with a back-slash (“ .”) A realm should not contain slashes or colons.

SEE ALSO
krb5_425_conv_principal(3), krb5_build_principal(3), krb5_free_principal(3), krb5_sname_to_principal(3), krb5_unparse_name(3)